package cn.hmsoft.weixin.request;

import cn.hmsoft.weixin.entity.request.TemplateDelTemplateRequestJson;
import cn.hmsoft.weixin.entity.response.WxResponseJson;

/****************************
 * @note 删除一个消息模版
 * @author revisit@126.com
 * @Company: www.hmsoft.cn
 * @create 2017-05-09 00:54:48
 * @version 4.0.0
 */
public class TemplateDelTemplateRequest extends
		AbstractRequest<WxResponseJson, WxResponseJson, TemplateDelTemplateRequestJson> {

	private final static String url = "https://api.weixin.qq.com/cgi-bin/template/del_private_template?";

	public TemplateDelTemplateRequest(String template_id){
		this.requestEntity = new TemplateDelTemplateRequestJson();
		this.requestEntity.setTemplate_id(template_id);
	}
	
	@Override
	protected String makeUrl() {
		this.method = "POST";
		return url + "access_token=" + this.wxDefine.getApp_accesstoken();
	}

	@Override
	public void processBusiness() {
		this.returnEntity = this.jsonEntity;
	}

}
